%global pkg_name ConfigFile

%global common_summary Configuration file reading and writing

%global common_description Parser and writer for handling sectioned config files in \
Haskell. \
 \
The ConfigFile module works with configuration files in a \
standard format that is easy for the user to edit, easy for \
the programmer to work with, yet remains powerful and \
flexible. It is inspired by, and compatible with, Python's \
ConfigParser module. It uses files that resemble Windows \
.INI-style files, but with numerous improvements. \
 \
ConfigFile provides simple calls to both read and write \
config files. It's possible to make a config file parsable by \
this module, the Unix shell, and make.

%global ghc_pkg_deps ghc-MissingH-devel, ghc-mtl-devel, ghc-parsec-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.0.6
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p COPY* %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p README %{buildroot}%{_docdir}/%{name}-%{version}/README


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_lib_package}


%changelog
* Wed Sep 15 2010 Jens Petersen <petersen@redhat.com> - 1.0.6-2
- include the COPYRIGHT file too

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.0.6-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
